module mux_zero (
	clk,
	clr_n,
	sel,
	data_0,
	data_1,
	dout
	);
	
	input			clk;
	input			clr_n;
	input			sel;
	input	[3:0]	data_0;
	input	[3:0]	data_1;
	output	[3:0]	dout;
	
	reg		[3:0]	dout;
	
	always @ (posedge clk or negedge clr_n) begin
		if (!clr_n) begin
			dout <= 4'b0000;
		end
		else begin
			if (sel == 1'b1) begin
				dout <= data_1;
			end
			else begin
				dout <= data_0;
			end
		end
	end
endmodule
