module simple_counter (
	clk,
	clr_n,
	cnt_out
	);
	
	input			clk;
	input			clr_n;
	output	[31:0]	cnt_out;
	
	reg		[31:0]	cnt_reg = 32'b0;
	
	always @ (posedge clk or negedge clr_n) begin
		if (!clr_n) begin
			cnt_reg <= 32'b0;
		end
		else begin
			cnt_reg <= cnt_reg + 1'b1;
		end
	end
	
	assign cnt_out = cnt_reg;
	
endmodule
